import { Metafield } from "./metafield";
export declare namespace Shop {
    interface EnabledCurrencies {
        iso_code: string;
        name: string;
        symbol: string;
    }
}
export interface Shop {
    name: string;
    description: string;
    domain: string;
    permanent_domain: string;
    url: string;
    secure_url: string;
    email: string;
    phone: string;
    currency: string;
    locale: string;
    money_format: string;
    money_with_currency_format: string;
    taxes_included: string;
    customer_accounts_enabled: boolean;
    customer_accounts_optional: boolean;
    enabled_currencies: Shop.EnabledCurrencies[];
    enabled_payment_types: string;
    payment_icons: any;
    address: string;
    types: string[];
    vendors: string[];
    collections_count: string;
    products_count: string;
    cart: any;
    metafields: Metafield;
    checkout_buttons: any;
}
